import { World } from '../ecs/index';
import { Game } from '../game';
import { Component } from '../ecs/component';
import { System } from '../ecs/system';
import { BaseEntity, Entity } from '../ecs/entity';
import { Query } from '../ecs/query';
import { World as IWorld } from '.';
export declare class ECSWorld implements IWorld {
    instance: Game;
    id: string;
    world: World;
    running: boolean;
    constructor(instance: Game);
    update(): void;
    updateDraw(): boolean;
    createEntity(components: Array<Component>): BaseEntity;
    createComponent(props: any): Component;
    createSystem(systemExecutor: Function): void;
    addSystem(system: System): void;
    addEntity(entity: BaseEntity): void;
    removeEntity(entity: BaseEntity): void;
    createQuery(include: Array<Component>, exclude: Array<Component>): Query;
    extendEntity(entity: Entity, components: Array<Component>): BaseEntity;
}
